Debian Bug report logs - #219173
O: ipmasq -- Securely initializes IP Masquerade forwarding/firewalling

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Brian Bassett <bbassett@bbassett.net>

Date: Tue, 4 Nov 2003 20:33:01 UTC

Severity: normal

Tags: fixed

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#219173; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Brian Bassett <bbassett@bbassett.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Brian Bassett <bbassett@bbassett.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: ipmasq -- Securely initializes IP Masquerade forwarding/firewalling
Date: Tue, 04 Nov 2003 12:25:24 -0800
Package: wnpp
Severity: normal

Unfortunately, I am needing to orphan ipmasq due to constraints on my
time from both work and other projects for which I am the upstream
developer.

Brian

The package description is:
 This package contains scripts to initialize IP Masquerade for use as a
 firewall.  IP Masquerade is a feature of Linux that allows an entire network
 of computers to be connected to another network (usually the Internet) with
 only one network address on the other network.  IP Masquerade is often
 referred to as NAT (Network Address Translation) on other platforms.
 .
 By default, this package configures the system as a basic forwarding
 firewall, with IP spoofing and stuffed routing protection.  The firewall
 will allow hosts behind the firewall to get to the Internet, but not allow
 connections from the Internet to reach the hosts behind the firewall.
 However, ipmasq now features a very flexible framework where you can
 override any of the predefined rules if you so choose.  It also allows you
 to control if the rules are reinterpreted when pppd brings a link up or
 down.
 .
 This package should be installed on the firewall host and not on the
 hosts behind the firewall.
 .
 IP Masquerade requires the kernel to be compiled with masquerading support
 (please see documentation for specific kernel options required).

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux monarch 2.4.20 #1 Tue Mar 25 21:06:02 PST 2003 i686
Locale: LANG=C, LC_CTYPE=C




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#219173; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 219173@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 219173@bugs.debian.org
Subject: ipmasq: I want to help but ...
Date: Fri, 14 Nov 2003 00:59:28 +0100
Since there is at least one BTS entry for my script, I want to help but
If someone else take lead, I feel better.

I will clean up BTS first.  It looks many wishlist for corner cases
filed as bug.

Osamu
-- 
~\^o^/~~~ ~\^.^/~~~ ~\^*^/~~~ ~\^_^/~~~ ~\^+^/~~~ ~\^:^/~~~ ~\^v^/~~~ +++++
        Osamu Aoki <osamu@debian.org>  Brussels Belgium, GPG-key: A8061F32
 .''`.  Debian Reference: post-installation user's guide for non-developers
 : :' : http://qref.sf.net and http://people.debian.org/~osamu
 `. `'  "Our Priorities are Our Users and Free Software" --- Social Contract




Tags added: fixed Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Brian Bassett <bbassett@bbassett.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 219173-done@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 161333-done@bugs.debian.org, 182158-done@bugs.debian.org, 219173-done@bugs.debian.org
Subject: New maintainer upload closed them
Date: Fri, 21 Nov 2003 21:42:33 +0100
[Message part 1 (text/plain, inline)]
Hi I uploaded new package :-)

Osamu
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:23:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.